package io.swagger.test_swagger_java_client;

import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.LoginApi;
import io.swagger.client.model.JwtDto;
import io.swagger.client.model.UserDto;

public class App_LoginAPITest {

    public static void main(String[] args) throws ApiException {
    	
      // Say Hello
      System.out.println("Hello world");
        
      String baseApiUrl = "https://wmcintegration.wanesy.com/";
  	  //String token = "put-token-value-here";
  	  int connectTimeout = 60000;
  	  
  	  // Create an ApiClient per thread
  	  ApiClient defaultClient = Configuration.getDefaultApiClient();
  	  
  	  defaultClient.setBasePath(baseApiUrl); 	  
  	  defaultClient.setConnectTimeout(connectTimeout);
  	  defaultClient.setDebugging(true);
  	
  	  // Call login method
  	  LoginApi loginApi = new LoginApi(defaultClient);
  	  
  	  UserDto body = new UserDto ();
  	  body.setLogin("your_login");
  	  body.setPassword("your_password");
  	  
  	  System.out.println("Login Post");
  	
  	  JwtDto jwt = loginApi.login(body);
	
  	  defaultClient.setApiKey("Bearer " + jwt.getToken());
  	  Configuration.setDefaultApiClient(defaultClient);
  	
  	  
  	  System.out.println("Login Done");
  	
    }
}